List CDR download sessions (partition-wide)
GET
/v1/pt/{ptid}/cdr-downloads
const url = 'https://example.com/v1/pt/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cdr-downloads';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/pt/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cdr-downloads \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ptid
required
string format: uuid
Partition UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
sessions
required
Array<object>
object
download_id
required
string
scope_type
required
string
scope_id
required
string
state
required
string
format
required
string
from
required
string format: date-time
to
required
string format: date-time
include_children
required
boolean
namespaces
required
integer
filter
string
rows_served
required
integer format: int64
bytes_served
required
integer format: int64
chunks_served
required
integer
acked_cursor
string
created_at
string format: date-time
expires_at
string format: date-time
Examplegenerated
{ "success": true, "sessions": [ { "download_id": "example", "scope_type": "example", "scope_id": "example", "state": "example", "format": "example", "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "include_children": true, "namespaces": 1, "filter": "example", "rows_served": 1, "bytes_served": 1, "chunks_served": 1, "acked_cursor": "example", "created_at": "2026-04-15T12:00:00Z", "expires_at": "2026-04-15T12:00:00Z" } ]}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}